﻿using System;
using Sandbox.Interfaces.Models.Abstract;

namespace Sandbox.Models.Abstract
{
    public abstract class Entity : IEntity
    {
        public int Id { get; set; }

        public DateTime CreationDate { get; set; } = DateTime.UtcNow;

        public DateTime ModificationDate { get; set; } = DateTime.UtcNow;
    }
}