using Sandbox.Models;
using Microsoft.EntityFrameworkCore;

namespace Sandbox.Databases
{
    public class ModelsContext : DbContext
    {
        public ModelsContext(DbContextOptions<ModelsContext> options)
            : base(options)
        {
            this.Database.EnsureCreated();
        }

        /*public ModelsContext(DbConnection existingConnection, bool contextOwnsConnection)
            : base(existingConnection, contextOwnsConnection)
        {

        }*/

        public DbSet<Person> Persons { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
        }
    }
}