using System;
using Sandbox.Databases;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using MySQL.Data.EntityFrameworkCore.Extensions;

public class DbContextFactoryForCli : IDbContextFactory<ModelsContext>
{
    public ModelsContext Create(DbContextFactoryOptions options)
    {
        var builder = new DbContextOptionsBuilder<ModelsContext>();
        builder.UseMySQL("server=localhost;port=3306;database=FEEDLE;uid=root;password=password");
        return new ModelsContext(builder.Options);
    }
}
